dracut-018-37.git20120425.1
- fixup for multipath and iscsi host-only detection
This commit is contained in:
parent
a633d05a18
commit
14f8389b17
@ -1,4 +1,4 @@
|
||||
From 7e6121699b0cfb0049ab4bddb9e299e2ec978115 Mon Sep 17 00:00:00 2001
|
||||
From cb08b0132f6e6631b04576959549c0a0d8218afd Mon Sep 17 00:00:00 2001
|
||||
From: Harald Hoyer <harald@redhat.com>
|
||||
Date: Wed, 25 Apr 2012 11:23:10 +0200
|
||||
Subject: [PATCH] iscsi/module-setup.sh: fix host-only/mount checks
|
||||
@ -8,7 +8,7 @@ Subject: [PATCH] iscsi/module-setup.sh: fix host-only/mount checks
|
||||
1 file changed, 6 insertions(+), 10 deletions(-)
|
||||
|
||||
diff --git a/modules.d/95iscsi/module-setup.sh b/modules.d/95iscsi/module-setup.sh
|
||||
index 2f343ee..34e101c 100755
|
||||
index 2f343ee..bfd9d73 100755
|
||||
--- a/modules.d/95iscsi/module-setup.sh
|
||||
+++ b/modules.d/95iscsi/module-setup.sh
|
||||
@@ -15,8 +15,11 @@ check() {
|
||||
@ -18,7 +18,7 @@ index 2f343ee..34e101c 100755
|
||||
- [[ -L /sys/dev/block/$1 ]] || return
|
||||
- cd "$(readlink -f /sys/dev/block/$1)"
|
||||
+ local _dev
|
||||
+ _dev=${1##/dev/}
|
||||
+ _dev=$(get_maj_min $1)
|
||||
+
|
||||
+ [[ -L /sys/dev/block/$_dev ]] || return
|
||||
+ cd "$(readlink -f /sys/dev/block/$_dev)"
|
||||
|
@ -1,4 +1,4 @@
|
||||
From 63616dffe30add9fd4c0a22349fd33fe0fb3db1d Mon Sep 17 00:00:00 2001
|
||||
From 5dc1be1df8c235040a47ab1bd212102c5bb450cb Mon Sep 17 00:00:00 2001
|
||||
From: Harald Hoyer <harald@redhat.com>
|
||||
Date: Wed, 25 Apr 2012 11:23:49 +0200
|
||||
Subject: [PATCH] multipath/module-setup.sh: fix host-only/mount checks
|
||||
@ -8,7 +8,7 @@ Subject: [PATCH] multipath/module-setup.sh: fix host-only/mount checks
|
||||
1 file changed, 7 insertions(+), 9 deletions(-)
|
||||
|
||||
diff --git a/modules.d/90multipath/module-setup.sh b/modules.d/90multipath/module-setup.sh
|
||||
index 2bc1b41..ae9ec59 100755
|
||||
index 2bc1b41..2af112a 100755
|
||||
--- a/modules.d/90multipath/module-setup.sh
|
||||
+++ b/modules.d/90multipath/module-setup.sh
|
||||
@@ -11,18 +11,16 @@ check() {
|
||||
@ -18,7 +18,7 @@ index 2bc1b41..ae9ec59 100755
|
||||
- [ -e /sys/dev/block/$1/dm/uuid ] || return 1
|
||||
- [[ $(cat /sys/dev/block/$1/dm/uuid) =~ ^mpath- ]] && return 0
|
||||
+ local _dev
|
||||
+ _dev=${1##/dev/}
|
||||
+ _dev=$(get_maj_min $1)
|
||||
+ [ -e /sys/dev/block/$_dev/dm/uuid ] || return 1
|
||||
+ [[ $(cat /sys/dev/block/$_dev/dm/uuid) =~ ^mpath- ]] && return 0
|
||||
return 1
|
||||
|
@ -1,4 +1,4 @@
|
||||
From e78a0b55b28196c2075b388ca4da8de3face3baf Mon Sep 17 00:00:00 2001
|
||||
From 168952cea6130476a68c90aecab709cf24da5e52 Mon Sep 17 00:00:00 2001
|
||||
From: Harald Hoyer <harald@redhat.com>
|
||||
Date: Wed, 25 Apr 2012 12:22:15 +0200
|
||||
Subject: [PATCH] udev-rules/module-setup.sh: fixed udevd location
|
||||
|
@ -1,4 +1,4 @@
|
||||
From bea590954e873e915791d1c8610820159ab164c3 Mon Sep 17 00:00:00 2001
|
||||
From 5a81678219a2cbf6f39e47f85d2fcb525ac2143c Mon Sep 17 00:00:00 2001
|
||||
From: Harald Hoyer <harald@redhat.com>
|
||||
Date: Wed, 25 Apr 2012 14:23:12 +0200
|
||||
Subject: [PATCH] TEST-15-BTRFSRAID: add one more partition to the btrfs
|
||||
|
@ -10,7 +10,7 @@
|
||||
|
||||
Name: dracut
|
||||
Version: 018
|
||||
Release: 37.git20120425%{?dist}
|
||||
Release: 37.git20120425%{?dist}.1
|
||||
|
||||
Summary: Initramfs generator using udev
|
||||
%if 0%{?fedora} || 0%{?rhel}
|
||||
@ -376,6 +376,9 @@ rm -rf $RPM_BUILD_ROOT
|
||||
%dir /var/lib/dracut/overlay
|
||||
|
||||
%changelog
|
||||
* Wed Apr 25 2012 Harald Hoyer <harald@redhat.com> 018-37.git20120425.1
|
||||
- fixup for multipath and iscsi host-only detection
|
||||
|
||||
* Wed Apr 25 2012 Harald Hoyer <harald@redhat.com> 018-37.git20120425
|
||||
- fixed udevd location
|
||||
|
||||
|
Loading…
Reference in New Issue
Block a user